Page MenuHomePhabricator

Use cookies to store preferences for anonymous users
Closed, ResolvedPublic

Description

Latest when we want to get Revision-Slider out of beta-features, we need a way to store preferences for anonymous users. Currently we are using hidden user-preferences for storing e.g. the pinned-state or the state of the help-dialog. This would not work for anonymous users.
One solution could be to use cookies to store these preferences for anons.

Details

Related Gerrit Patches:
mediawiki/extensions/RevisionSlider : masterStore settings for anonymous users

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptSep 13 2016, 9:09 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore moved this task from Incoming to Revision Slider on the TCB-Team board.Sep 13 2016, 2:40 PM
Addshore moved this task from Incoming to Backlog on the Revision-Slider board.Sep 13 2016, 2:55 PM
WMDE-Fisch moved this task from Proposed to Sprint ready on the WMDE-QWERTY-Team board.

Change 317001 had a related patch set uploaded (by WMDE-Fisch):
Store settings for anonymous users

https://gerrit.wikimedia.org/r/317001

Change 317001 merged by jenkins-bot:
Store settings for anonymous users

https://gerrit.wikimedia.org/r/317001

Tobi_WMDE_SW moved this task from Done to Demoed on the WMDE-QWERTY-Team board.Oct 25 2016, 2:22 PM
Tobi_WMDE_SW closed this task as Resolved.Oct 26 2016, 9:36 AM